curl --request PATCH \
--url https://api-dev.rain.xyz/v1/issuing/users/{userId} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"isActive": true,
"phoneCountryCode": "1",
"phoneNumber": "5555555555",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"stellarAddress": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api-dev.rain.xyz/v1/issuing/users/{userId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"isActive": True,
"phoneCountryCode": "1",
"phoneNumber": "5555555555",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"stellarAddress": "<string>",
"externalId": "<string>"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
isActive: true,
phoneCountryCode: '1',
phoneNumber: '5555555555',
walletAddress: '<string>',
solanaAddress: '<string>',
stellarAddress: '<string>',
externalId: '<string>'
})
};
fetch('https://api-dev.rain.xyz/v1/issuing/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"isActive": true,
"applicationStatus": "approved",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"sourceKey": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"line2": "<string>",
"country": "<string>"
},
"phoneCountryCode": "1",
"phoneNumber": "5555555555",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}Update a user
Authorizations
Path Parameters
Id of the user to update
Body
The updates to apply to the user
The user's first name
50The user's last name
50The user's email address
Whether the user is active
The user's physical address
Show child attributes
Show child attributes
The user's phone country code
1 - 3^[0-9]+$"1"
The user's phone number
1 - 15^[0-9]+$"5555555555"
This user's EVM wallet address. For self-managed tenants, cannot be updated if the user has collateral contracts on EVM chains. For Rain-managed tenants, the update is allowed if the new wallet is already an on-chain admin on all of the team's EVM collateral contracts.
^0x[0-9a-fA-F]{40}$This user's solana address. Cannot be updated if the user has collateral contracts on Solana.
^[1-9A-HJ-NP-Za-km-z]{32,44}$This user's stellar address. Cannot be updated if the user has collateral contracts on Stellar.
^[GC][A-Z2-7]{55}$|^M[A-Z2-7]{68}$An optional tenant-defined identifier for this user. Must be unique within the tenant.
1 - 255Response
Successful operation
The user's unique identifier
The user's first name
50The user's last name
50The user's email address
Whether the user is active
approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled The id of the company that the user belongs to, if any
An optional tenant-defined identifier for this user. Must be unique within the tenant.
1 - 255The source key associated with the user's team
1 - 24The user's physical address
Show child attributes
Show child attributes
The user's phone country code
1 - 3^[0-9]+$"1"
The user's phone number
1 - 15^[0-9]+$"5555555555"
The user's EVM wallet address
The user's Solana wallet address
^[1-9A-HJ-NP-Za-km-z]{32,44}$When the user was created
When the user was last updated
The link to the external verification page for the application
Show child attributes
Show child attributes
The link to the completion page for the application
Show child attributes
Show child attributes
The reason for the application status